@ECHO OFF

rem Set environment variables
rem You may need to modify these to fit your system
rem (Note trailing \ on directory names)
rem -----------------------------------------------
SET PALMDIR=C:\Program Files\Palm\
SET BACKUPDIR=C:\Program Files\Palm\Backups\
SET ZIP=C:\Program Files\WinZip\wzzip.exe
SET ZIPCMD=-u -p -r -ex
rem -----------------------------------------------


rem Test for a command line argument
IF %1a==a GOTO HELP


rem Get Year
ERRTIME -y > NUL
FOR %%A IN (0 1 2 3 4 5 6 7 8 9) DO IF ERRORLEVEL %%A0 SET ERR10=%%A
FOR %%A IN (0 1 2 3 4 5 6 7 8 9) DO IF ERRORLEVEL %ERR10%%%A SET ERR1=%%A
SET YEAR=%ERR10%%ERR1%

rem Get Month
ERRTIME -m > NUL
FOR %%A IN (0 1) DO IF ERRORLEVEL %%A0 SET ERR10=%%A
FOR %%A IN (0 1 2 3 4 5 6 7 8 9) DO IF ERRORLEVEL %ERR10%%%A SET ERR1=%%A
SET MONTH=%ERR10%%ERR1%

rem Get Day
ERRTIME -d > NUL
FOR %%A IN (0 1 2 3) DO IF ERRORLEVEL %%A0 SET ERR10=%%A
FOR %%A IN (0 1 2 3 4 5 6 7 8 9) DO IF ERRORLEVEL %ERR10%%%A SET ERR1=%%A
SET DAY=%ERR10%%ERR1%

rem Create archive
rem Filename will be the name followed by the date in the form YYMMDD
"%ZIP%" %ZIPCMD% "%BACKUPDIR%%1%YEAR%%MONTH%%DAY%" "%PALMDIR%%1"

IF NOT ERRORLEVEL 1 GOTO END
ECHO Compression utility generated an error
GOTO END


:HELP
ECHO PalmBack v1.1 by Justin R. Cutler (cthulhu48@hotmail.com)
ECHO Usage: palmback name
ECHO        name is the name of the HotSync directory being backed up
ECHO.


:END
rem Clear environment variables
SET ERR10=
SET ERR1=
SET YEAR=
SET MONTH=
SET DAY=
SET PALMDIR=
SET BACKUPDIR=
SET ZIP=
SET ZIPCMD=
SET CMDLINE=
